Support » Plugins and Hacks » [Resolved] Your connection options could not be validated.

[Resolved] Your connection options could not be validated.

  • When I add the App ID and the App secret, which are correct, the secret is colored red. When I click to Save Changes, I get this error:
    Facebook returned an unexpected error: An unknown error has occurred.
    Try to resolve this issue, update the plugin or inform the author about the problem.

    Your connection options could not be validated.

    I have waited a while, and also tried resetting the secret to no avail.

    Thanks in advance for your help, great plugin!

Viewing 15 replies - 1 through 15 (of 25 total)
  • Same here. 🙁

    Both app ID and app secret have been double and triple checked, but to no avail. The error remains. I have reset the secret twice with no change either. Then I have rebuilt the app twice again with new ID’s and secrets to get the same result. 🙁

    Solution on short notice greatly appreciated!

    same here……Your connection options could not be validated.

    I had the post to facebook working flawlessly yesterday and this morning but alas I have encountered the same problem. I have tried deleting and recactivating the plugin as well as creating multiple facebook apps but to no avail. My App Secret will not work at all.

    Thanks for the help


    Same issue here…. It’s been working fine and I went in today to update my settings and I got the same error. Thanks for looking into it.


    I’ve just come back from holiday and have been getting this for a couple of days now.

    Hope it gets sorted soon


    Same thing here, this is very recent (12 hours ago).

    For what’s worth, when I went back to my application on Facebook, there was a message that said “You need to grant permissions to your app to get an access token.” I did so, but all it did was give me the token and the plugin still did not work. Maybe Facebook has changed something.

    Maybe but this happen with 3.2.1 also I have the same problem.

    I am still on 3.1.4 and having the problem…

    Add me to the list, getting the same error.

    Same here. I really need this to work!!! Anyone have any suggestions for how to resolve this issue?

    Thanks in advanced!

    I have temporarily switched to the Simple Facebook Connect plugin, it is good but you can’t choose specific categories for automatic posting. If that doesn’t matter to you, check it out.

    Important: Watch the API Key setting, if you go by the Facebook Developers page that the Facebook Page Publish plugin sends you to it says that the API Key is the same as the Application ID – but it is not!

    See what I mean in this thread:

    Good Luck – I hope this plugin gets fixed!

    Plugin Author mtschirs


    Hi all of you,

    Thank you very much for reporting this problem. I had no time until today to adress this issue, I am sorry for the inconvenience.

    A quick fix has been applied. It would be great to hear from you whether this resolves the problem for you or not.

    Thank you in advance,


    It works! Thanks mtschirs!

    I did the update and activated the plugin after deactivating the other one I tried, and when I went to the settings page the secret was no longer red. I clicked Grant Access and then did so, and everything worked. Chose my categories and the posts to FB look great!

    Thanks again,
    Ken Soszka

    Thanks mtschirs

    Works great now, Good job



Viewing 15 replies - 1 through 15 (of 25 total)
  • The topic ‘[Resolved] Your connection options could not be validated.’ is closed to new replies.